import { defineConfig } from 'astro/config';
import node from '@astrojs/node';

// https://astro.build/config
export default defineConfig({
    // integrations: [tailwind(), test, routing(), version(), buildInfos()],
	compressHTML: true,
	build: {
		assets: 'assets',
		inlineStylesheets: 'auto'
	},
	server: {
		host: true,
		port: 3000
	},
    trailingSlash: 'never',
    output: 'server',
    adapter: node({
		mode: 'standalone'
	}),
});
